From cf53484647a7ef822009ed1f36256b53c444fac7 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 11 2017 14:32:12 +0000
Subject: Upgrade to Fedora-Bootstrap 1.1.0


Rebased on Bootstrap 4.0 beta.

https://pagure.io/fedora-bootstrap/

---

diff --git a/hubs/static/client/app/components/AddWidget/WidgetSelectDialog.js b/hubs/static/client/app/components/AddWidget/WidgetSelectDialog.js
index 9577e71..dae41ec 100644
--- a/hubs/static/client/app/components/AddWidget/WidgetSelectDialog.js
+++ b/hubs/static/client/app/components/AddWidget/WidgetSelectDialog.js
@@ -28,7 +28,7 @@ export default class WidgetSelectDialog extends React.Component {
     });
     return (
       <div>
-        <fieldset className="form-group">
+        <fieldset className="form-group row">
           { this.props.showVisibilitySelect &&
             <label htmlFor="widgetname">Widget name:</label>
           }
diff --git a/hubs/static/client/app/components/FlashMessages/FlashMessagesList.js b/hubs/static/client/app/components/FlashMessages/FlashMessagesList.js
index 851da6a..26c749b 100644
--- a/hubs/static/client/app/components/FlashMessages/FlashMessagesList.js
+++ b/hubs/static/client/app/components/FlashMessages/FlashMessagesList.js
@@ -22,8 +22,8 @@ export default class FlashMessagesList extends React.Component {
       );
     });
     return (
-      <div className="FlashMessages row pt-2">
-        <div className="col-md-6 offset-md-3">
+      <div className="d-flex justify-content-center">
+        <div className="FlashMessages">
           {messages}
         </div>
       </div>
diff --git a/hubs/static/client/app/components/HubConfig/HubConfigPanelChat.js b/hubs/static/client/app/components/HubConfig/HubConfigPanelChat.js
index f756e9d..516f846 100644
--- a/hubs/static/client/app/components/HubConfig/HubConfigPanelChat.js
+++ b/hubs/static/client/app/components/HubConfig/HubConfigPanelChat.js
@@ -66,7 +66,7 @@ export default class ChatPanel extends React.Component {
         <FormattedMessage {...messages.title} tagName="h3" />
         <FormattedMessage {...messages.intro_1} tagName="p" />
         <FormattedMessage {...messages.intro_2} tagName="p" />
-        <div className="form-group">
+        <div className="form-group row">
           <label htmlFor="hub-settings-chat-channel">
             <FormattedMessage {...messages.channel_name} />
           </label>
@@ -82,7 +82,7 @@ export default class ChatPanel extends React.Component {
             <span className="ml-2">#fedora-devel</span>
           </p>
         </div>
-        <div className="form-group">
+        <div className="form-group row">
           <label htmlFor="hub-settings-chat-domain">
             <FormattedMessage {...messages.network} />
           </label>
diff --git a/hubs/static/client/app/components/HubConfig/HubConfigPanelGeneral.js b/hubs/static/client/app/components/HubConfig/HubConfigPanelGeneral.js
index 9e5972a..00b1e44 100644
--- a/hubs/static/client/app/components/HubConfig/HubConfigPanelGeneral.js
+++ b/hubs/static/client/app/components/HubConfig/HubConfigPanelGeneral.js
@@ -66,7 +66,7 @@ export default class GeneralPanel extends React.Component {
       <form onSubmit={(e) => {e.preventDefault();}}>
         <FormattedMessage {...messages.title} tagName="h3" />
         <FormattedMessage {...messages.intro} tagName="p" />
-        <div className="form-group">
+        <div className="form-group row">
           <label htmlFor="hub-settings-general-summary">
             <FormattedMessage {...messages.summary} />
           </label>
@@ -81,7 +81,7 @@ export default class GeneralPanel extends React.Component {
             <FormattedMessage {...messages.summary_help} />
           </p>
         </div>
-        <div className="form-group">
+        <div className="form-group row">
           <label htmlFor="hub-settings-general-leftwidth">
             <FormattedMessage {...messages.left_width} />
           </label>
@@ -100,7 +100,7 @@ export default class GeneralPanel extends React.Component {
               />
           </p>
         </div>
-        <div className="form-group">
+        <div className="form-group row">
           <label htmlFor="hub-settings-general-visibility">
             <FormattedMessage {...messages.visibility} />
           </label>
@@ -120,7 +120,7 @@ export default class GeneralPanel extends React.Component {
             <FormattedHTMLMessage {...messages.visibility_help} />
           </p>
         </div>
-        <div className="form-group">
+        <div className="form-group row">
           <label htmlFor="hub-settings-general-avatar">
             <FormattedMessage {...messages.avatar} />
           </label>
diff --git a/hubs/static/client/app/components/HubConfig/HubConfigPanelUser.js b/hubs/static/client/app/components/HubConfig/HubConfigPanelUser.js
index c516c19..705d44f 100644
--- a/hubs/static/client/app/components/HubConfig/HubConfigPanelUser.js
+++ b/hubs/static/client/app/components/HubConfig/HubConfigPanelUser.js
@@ -136,7 +136,7 @@ export default class UserPanel extends React.Component {
           className="form-inline mb-3"
           onSubmit={this.handleAdd}
           >
-          <div className="form-group">
+          <div className="form-group row">
             <FormattedMessage {...messages.add_user}>
               {(message) => (
                 <CompletionInput
diff --git a/hubs/static/client/app/components/PageStructure.js b/hubs/static/client/app/components/PageStructure.js
index ee6cd14..645a3c1 100644
--- a/hubs/static/client/app/components/PageStructure.js
+++ b/hubs/static/client/app/components/PageStructure.js
@@ -23,7 +23,7 @@ export default class PageStructure extends React.Component {
 
         <div className="container-fluid">
           <div className="row">
-            <div className="offset-lg-2 col-lg-10 px-0">
+            <div className="col-lg-10 ml-auto px-0">
               {this.props.content}
             </div>
           </div>
diff --git a/hubs/static/client/app/components/SimpleWidgetConfig.js b/hubs/static/client/app/components/SimpleWidgetConfig.js
index f323b52..ca817dd 100644
--- a/hubs/static/client/app/components/SimpleWidgetConfig.js
+++ b/hubs/static/client/app/components/SimpleWidgetConfig.js
@@ -12,7 +12,7 @@ export default class SimpleWidgetConfig extends React.Component {
   render() {
     let fields = this.props.widget.params.map((field) => {
       return (
-        <fieldset className="form-group" key={field.name}>
+        <fieldset className="form-group row" key={field.name}>
           <strong>{field.label}</strong>
           <input
             className="form-control"
diff --git a/hubs/static/client/app/components/Streams.js b/hubs/static/client/app/components/Streams.js
index b2b0ff3..ebc0b98 100644
--- a/hubs/static/client/app/components/Streams.js
+++ b/hubs/static/client/app/components/Streams.js
@@ -177,8 +177,8 @@ class FeedPanel extends React.Component {
             type="search" className="form-control"
             placeholder="Search this activity stream..."
             aria-describedby="searchform-addon" />
-          <span className="input-group-addon">
-            <span><i className="fa fa-search" aria-hidden="true"></i></span>
+          <span className="input-group-btn">
+            <button className="btn btn-secondary"><i className="fa fa-search" aria-hidden="true"></i></button>
           </span>
         </div>
         <br/>
diff --git a/hubs/static/client/app/components/VisibilitySelect.js b/hubs/static/client/app/components/VisibilitySelect.js
index 7eedaa1..42552ff 100644
--- a/hubs/static/client/app/components/VisibilitySelect.js
+++ b/hubs/static/client/app/components/VisibilitySelect.js
@@ -20,7 +20,7 @@ export default class VisibilitySelect extends React.Component {
 
   render() {
     return (
-      <fieldset className="form-group">
+      <fieldset className="form-group row">
         <label htmlFor="visibility">Visibility:</label>
         <select
           className="form-control"
diff --git a/hubs/static/client/app/components/feed/Icon.js b/hubs/static/client/app/components/feed/Icon.js
index 4ae2f25..1c59c19 100644
--- a/hubs/static/client/app/components/feed/Icon.js
+++ b/hubs/static/client/app/components/feed/Icon.js
@@ -5,7 +5,7 @@ export default class Icon extends React.Component {
     return (
       <a href={this.props.item.link ? this.props.item.link : '#'}
          target="_blank"
-         className="d-flex align-self-start mr-3"
+         className="d-flex align-self-start mr-2"
          >
         <img
           alt="User avatar"
diff --git a/hubs/static/client/app/components/feed/Panel.js b/hubs/static/client/app/components/feed/Panel.js
index 2dcee5b..a11dbf6 100644
--- a/hubs/static/client/app/components/feed/Panel.js
+++ b/hubs/static/client/app/components/feed/Panel.js
@@ -23,7 +23,7 @@ export default class Panel extends React.Component {
 
   render() {
     return (
-      <div className="media py-3" id={this.props.item.id}>
+      <div className="media py-3 px-2" id={this.props.item.id}>
         <Icon item={this.props.item} />
         <Markup
           {...this.props}
diff --git a/hubs/static/client/app/widgets/halp/Config.js b/hubs/static/client/app/widgets/halp/Config.js
index 8f48cff..4c61e76 100644
--- a/hubs/static/client/app/widgets/halp/Config.js
+++ b/hubs/static/client/app/widgets/halp/Config.js
@@ -182,7 +182,7 @@ export default class Config extends React.Component {
             </fieldset>
           </form>
           <fieldset className="row">
-            <label className="col-sm-6 control-label">
+            <label className="col-sm-6 form-control-label">
               <FormattedMessage {...messages.per_page} />
             </label>
             <div className="col-sm-6">
@@ -191,7 +191,7 @@ export default class Config extends React.Component {
                 type="number"
                 value={this.props.values.per_page || "5"}
                 onChange={this.handlePerPageChanged}
-                className="form-control input-sm"
+                className="form-control form-control-sm"
                 />
             </div>
             <div className="col-sm-12 text-muted">
diff --git a/hubs/static/client/app/widgets/halp/ModalAllRequests.js b/hubs/static/client/app/widgets/halp/ModalAllRequests.js
index 8f0e1a8..4853c85 100644
--- a/hubs/static/client/app/widgets/halp/ModalAllRequests.js
+++ b/hubs/static/client/app/widgets/halp/ModalAllRequests.js
@@ -128,10 +128,10 @@ export default class ModalAllRequests extends React.Component {
       footer = null;
     } else {
       footer = (
-        <nav aria-label="...">
-          <ul className="pager">
-            <li className={"pager-prev" + (this.state.page.has_prev ? "" : " disabled")}>
-              <button className="btn btn-link" value="-1" onClick={this.onPageChange}>
+        <nav aria-label="Page navigation">
+          <ul className="pagination">
+            <li className={"page-item" + (this.state.page.has_prev ? "" : " disabled")}>
+              <button className="btn btn-link page-link" value="-1" onClick={this.onPageChange}>
                 <span aria-hidden="true">&larr;</span>
                 <FormattedMessage {...messages.pager_newer} />
               </button>
@@ -141,8 +141,8 @@ export default class ModalAllRequests extends React.Component {
               {...messages.pager_status}
               values={{page: this.state.page.nr, total: this.state.page.total_pages}}
               />
-            <li className={"pager-next" + (this.state.page.has_next ? "" : " disabled")}>
-              <button className="btn btn-link" value="1" onClick={this.onPageChange}>
+            <li className={"page-item" + (this.state.page.has_next ? "" : " disabled")}>
+              <button className="btn btn-link page-link" value="1" onClick={this.onPageChange}>
                 <FormattedMessage {...messages.pager_older} />
                 <span aria-hidden="true">&rarr;</span>
               </button>
@@ -181,7 +181,7 @@ export default class ModalAllRequests extends React.Component {
         <form className="" method="post"
               action={this.props.urls.search} onSubmit={this.onSubmit}>
           <div className="form-group row">
-            <label htmlFor="meetingname" className="col-sm-4 control-label">
+            <label htmlFor="meetingname" className="col-sm-4 form-control-label">
               <FormattedMessage {...messages.search_meeting_name} />
             </label>
             <div className="col-sm-8">
@@ -190,7 +190,7 @@ export default class ModalAllRequests extends React.Component {
             </div>
           </div>
           <div className="form-group row">
-            <label htmlFor="startdate" className="col-sm-4 control-label">
+            <label htmlFor="startdate" className="col-sm-4 form-control-label">
               <FormattedMessage {...messages.search_between_dates} />
             </label>
             <div className="col-sm-4">
@@ -203,7 +203,7 @@ export default class ModalAllRequests extends React.Component {
             </div>
           </div>
           <div className="form-group row">
-            <label htmlFor="people" className="col-sm-4 control-label">
+            <label htmlFor="people" className="col-sm-4 form-control-label">
               <FormattedMessage {...messages.search_people} />
             </label>
             <div className="col-sm-8">
@@ -215,7 +215,7 @@ export default class ModalAllRequests extends React.Component {
             </div>
           </div>
           <div className="form-group row">
-            <div className="offset-sm-4 col-sm-8">
+            <div className="col-sm-8 ml-auto">
               <button
                 type="submit"
                 className="btn btn-primary mr-3"
